System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

The class provides type mappings to SOAP-encoded message parts, as defined in a Web Services Description Language (WSDL) document. It is used only when a Web service or client specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification.

Generates mappings to SOAP-encoded messages from .NET Framework types or Web service method information.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, specifying a default XML namespace for imported type mappings.

  The default XML namespace to use for imported type mappings.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, specifying overrides for XML serialization.

  A object that overrides how the class serializes mapped types using SOAP encoding.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, specifying XML serialization overrides and a default XML namespace.

  A object that overrides how the class serializes mapped types using SOAP encoding.
  The default XML namespace to use for imported type mappings.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` ``

  The method is called while initializing a Web service or client, or reflecting a Web service. You do not need to call it directly.

  The following list describes possible values for the parameter:

  Web service method input parameters.

  Web service method output parameters, plus the return type, if not void, at index zero.

  SOAP input headers.

  SOAP output headers.

  Generates internal type mappings for information that is gathered from a Web service method.

  Internal .NET Framework type mappings to the element parts of a WSDL message definition.

  An XML element name produced from the Web service method. An XML element namespace produced from the Web service method. An array of .NET Framework code entities that belong to a Web service method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` `` ``

  The method is called while initializing a Web service or client, or reflecting a Web service. You do not need to call it directly.

  The following list describes possible values for the parameter:

  Web service method input parameters.

  Web service method output parameters, plus the return type, if not void, at index zero.

  SOAP input headers.

  SOAP output headers.

  Generates internal type mappings for information that is gathered from a Web service method.

  Internal .NET Framework type mappings to the element parts of a WSDL message definition.

  An XML element name produced from the Web service method. An XML element namespace produced from the Web service method. An array of .NET Framework code entities that belong to a Web service method. true to indicate that elements that correspond to WSDL message parts should be enclosed in an extra wrapper element in a SOAP message; otherwise, false. true to indicate an RPC-style Web service binding; false to indicate a document-style Web service binding or a SOAP header.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` `` `` ``

  The method is called while initializing a Web service or client, or reflecting a Web service. You do not need to call it directly.

  The following list describes possible values for the parameter:

  Web service method input parameters.

  Web service method output parameters, plus the return type, if not void, at index zero.

  SOAP input headers.

  SOAP output headers.

  Generates internal type mappings for information that is gathered from a Web service method.

  Internal .NET Framework type mappings to the element parts of a WSDL message definition.

  An XML element name produced from the Web service method. An XML element namespace produced from the Web service method. An array of .NET Framework code entities that belong to a Web service method. true to indicate that elements that correspond to WSDL message parts should be enclosed in an extra wrapper element in a SOAP message; otherwise, false. true to indicate an RPC-style Web service binding; false to indicate a document-style Web service binding or a SOAP header. true to indicate that a generated deserializer should check for the expected qualified name of the wrapper element; otherwise, false. This parameter's value is relevant only if the parameter's value is true.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` `` `` `` ``

  The method is called while initializing a Web service or client, or reflecting a Web service. You do not need to call it directly.

  The following list describes possible values for the parameter:

  Web service method input parameters.

  Web service method output parameters, plus the return type, if not void, at index zero.

  SOAP input headers.

  SOAP output headers.

  Generates internal type mappings for information that is gathered from a Web service method.

  Internal .NET Framework type mappings to the element parts of a WSDL message definition.

  An XML element name produced from the Web service method. An XML element namespace produced from the Web service method. An array of .NET Framework code entities that belong to a Web service method. true to indicate that elements that correspond to WSDL message parts should be enclosed in an extra wrapper element in a SOAP message; otherwise, false. true to indicate an RPC-style Web service binding; false to indicate a document-style Web service binding or a SOAP header. true to indicate that a generated deserializer should check for the expected qualified name of the wrapper element; otherwise, false. This parameter's value is relevant only if the parameter's value is true. One of the values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping ``

  The XML Schema element is serialized using SOAP encoding.

  You do not need to call the method directly.

  Generates a mapping to an XML Schema element for a .NET Framework type.

  Internal .NET Framework mapping of a type to an XML Schema element.

  The .NET Framework type for which to generate a type mapping.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` ``

  The XML Schema element is serialized using SOAP encoding.

  You do not need to call the method directly.

  Generates a mapping to an XML Schema element for a .NET Framework type.

  Internal .NET Framework mapping of a type to an XML Schema element.

  The .NET Framework type for which to generate a type mapping. The default XML namespace to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  You do not need to call the method directly.

  Places mappings for a type in the instance's context for later use when import methods are invoked.

  The .NET Framework type for which to save type mapping information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Places mappings for derived types in the instance's context for later use when import methods are invoked.

  An reflection object that contains custom attributes that are derived from the attribute.